net.postgis.jdbc

## Class DriverWrapper.TypesAdder72

- java.lang.Object
- - net.postgis.jdbc.DriverWrapper.TypesAdder
  - - net.postgis.jdbc.DriverWrapper.TypesAdder72

Enclosing class:
  DriverWrapper

    protected static class DriverWrapper.TypesAdder72
    extends DriverWrapper.TypesAdder

addGISTypes for V7.2 pgjdbc

### Constructor Summary

Constructors
`protected` `TypesAdder72()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addBinaryGeometries(Connection conn)`
`void` `addBoxen(Connection conn)`
`void` `addGeometries(Connection conn)`

### Methods inherited from class net.postgis.jdbc.DriverWrapper.TypesAdder

`addGT`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypesAdder72

    protected TypesAdder72()

### Method Detail

#### addGeometries

    public void addGeometries(Connection conn)
                       throws SQLException

Specified by:
  `addGeometries` in class `DriverWrapper.TypesAdder`
Throws:
  `SQLException`

#### addBoxen

    public void addBoxen(Connection conn)
                  throws SQLException

Specified by:
  `addBoxen` in class `DriverWrapper.TypesAdder`
Throws:
  `SQLException`

#### addBinaryGeometries

    public void addBinaryGeometries(Connection conn)
                             throws SQLException

Specified by:
  `addBinaryGeometries` in class `DriverWrapper.TypesAdder`
Throws:
  `SQLException`